select RR.CodigoFuncContr, 
R.TipoRescisao, 
E.CodigoEstrut, 
cast(sum(RR.ValorEvento) as numeric(16,2)) Valor 
from rescisao R
join RescisaoRateio RR  
on RR.codigoEmpresa = R.CodigoEmpresa 
and RR.CodigoFuncContr = R.CodigoFuncContr 
and RR.complementar = R.complementar 
join Evento E 
on RR.CodigoEvento = E.CodigoEvento 
left join OutraEmpEmp OEE 
on RR.CodigoEmpresa = OEE.CodigoEmpresa 
and RR.CodigoOutEmp = OEE.CodigoOutEmp 
where R.CodigoEmpresa = :pCodigoEmpresa 
and(({extract(year, R.DataResc)} >= 2014 
and (((R.tiporescisao = 1) and ({TIMESTAMPADD(DAY, coalesce(R.DiasAvInden, 0), R.DataResc)} Between :pDataInicial and :pDataFinal)) or 
    (R.tiporescisao in (2, 4)and(((R.DataPgtoResc >= {TIMESTAMPADD(DAY, coalesce(R.DiasAvInden, 0), R.DataResc)} ) and (R.DataPgtoResc  Between :pDataInicial and :pDataFinal)) or 
    ((R.DataPgtoResc < {TIMESTAMPADD(DAY, coalesce(R.DiasAvInden, 0), R.DataResc)}) and ({TIMESTAMPADD(DAY, coalesce(R.DiasAvInden, 0), R.DataPgtoResc)} Between :pDataInicial and :pDataFinal)))) or 
    (((R.Tiporescisao = 3) or ((R.Tiporescisao = 5) and (coalesce(R.DiasAvInden,0) = 0) )) 
     and (exists (select 1 
	                from PeriodoCalculo p 
                   where p.codigoempresa = R.CodigoEmpresa 
                     and p.CodigoTipocalc = 7 
                     and P.CodigoPerCalculo = R.CodigoPerCalculo 
					 and p.DataPgto between :pDataInicial and :pDataFinal))) or 
    (((R.Tiporescisao = 5) and (coalesce(R.DiasAvInden, 0) > 0) ) and {TIMESTAMPADD(DAY, coalesce(R.DiasAvInden, 0), R.DataResc)} Between :pDataInicial and :pDataFinal)) ) 
  or ({extract(year, R.DataResc)} < 2014 and 
(((R.tiporescisao = 1) and (R.DataResc Between :pDataInicial and :pDataFinal)) or 
((R.tiporescisao in (2, 4)) and (R.datapgtoresc Between  :pDataInicial and :pDataFinal)) or 
((R.tiporescisao in (3, 5)) and (exists (select 1 
	                                       from PeriodoCalculo p 
                                          where p.codigoempresa = R.CodigoEmpresa 
                                            and p.CodigoTipocalc = 7 
                                            and P.CodigoPerCalculo = R.CodigoPerCalculo 
			                            	and p.DataPgto between :pDataInicial and :pDataFinal)))
))) 
and (E.CodigoEstrut like '05.10%' or
E.CodigoEstrut like '05.11%' or
E.CodigoEstrut like '05.19%' or
E.CodigoEstrut like '05.20%' or
E.CodigoEstrut like '05.08%')
and (not (E.TIPOEVENTO in (4,5,6,7))) 
and OEE.TipoOutEmp = 1 
and OEE.TipoObra in (1,3) 
group by RR.CodigoFuncContr, 
         R.TipoRescisao, 
         E.CodigoEstrut 
order by RR.CodigoFuncContr, 
         R.TipoRescisao, 
         E.CodigoEstrut